.. role:: hidden
    :class: hidden-section

encoding.nn
===========

Customized NN modules in Encoding Package. For Synchronized Cross-GPU Batch Normalization, please visit :class:`encoding.nn.BatchNorm2d`.

.. currentmodule:: encoding.nn

:hidden:`Encoding`
~~~~~~~~~~~~~~~~~~

.. autoclass:: Encoding
    :members:

:hidden:`BatchNorm2d`
~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: BatchNorm2d
    :members:

:hidden:`BatchNorm1d`
~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: BatchNorm1d
    :members:

:hidden:`BatchNorm3d`
~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: BatchNorm3d
    :members:

:hidden:`Inspiration`
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: Inspiration
    :members:

:hidden:`UpsampleConv2d`
~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: UpsampleConv2d
    :members:

:hidden:`GramMatrix`
~~~~~~~~~~~~~~~~~~~~

.. autoclass:: GramMatrix
    :members:
